RepairMessage.Type (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.repair.messages

## Enum RepairMessage.Type

- java.lang.Object
- - java.lang.Enum<RepairMessage.Type>
  - - org.apache.cassandra.repair.messages.RepairMessage.Type

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<RepairMessage.Type>
  Enclosing class:
    RepairMessage

      public static enum RepairMessage.Type
      extends java.lang.Enum<RepairMessage.Type>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ANTICOMPACTION_REQUEST`
    `CLEANUP`
    `PREPARE_MESSAGE`
    `SNAPSHOT`
    `SYNC_COMPLETE`
    `SYNC_REQUEST`
    `VALIDATION_COMPLETE`
    `VALIDATION_REQUEST`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RepairMessage.Type` | `fromByte(byte b)`
    `static RepairMessage.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RepairMessage.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### VALIDATION_REQUEST

          public static final RepairMessage.Type VALIDATION_REQUEST

    - #### VALIDATION_COMPLETE

          public static final RepairMessage.Type VALIDATION_COMPLETE

    - #### SYNC_REQUEST

          public static final RepairMessage.Type SYNC_REQUEST

    - #### SYNC_COMPLETE

          public static final RepairMessage.Type SYNC_COMPLETE

    - #### ANTICOMPACTION_REQUEST

          public static final RepairMessage.Type ANTICOMPACTION_REQUEST

    - #### PREPARE_MESSAGE

          public static final RepairMessage.Type PREPARE_MESSAGE

    - #### SNAPSHOT

          public static final RepairMessage.Type SNAPSHOT

    - #### CLEANUP

          public static final RepairMessage.Type CLEANUP

  - ### Method Detail

    - #### values

          public static RepairMessage.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RepairMessage.Type c : RepairMessage.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RepairMessage.Type valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### fromByte

          public static RepairMessage.Type fromByte(byte b)

Copyright © 2018 The Apache Software Foundation